pcl::ProjectInliers< pcl::PCLPointCloud2 > Class Template Reference
Module filters

ProjectInliers uses a model and a set of inlier indices from a PointCloud to project them into a separate PointCloud. More...

`#include <pcl/filters/project_inliers.h>`

Inheritance diagram for pcl::ProjectInliers< pcl::PCLPointCloud2 >:

## Public Member Functions

| ProjectInliers ()
| Empty constructor. More...
virtual | ~ProjectInliers ()
| Empty destructor. More...
void | setModelType (int model)
| The type of model to use (user given parameter). More...
int | getModelType () const
| Get the type of SAC model used. More...
void | setModelCoefficients (const ModelCoefficientsConstPtr &model)
| Provide a pointer to the model coefficients. More...
ModelCoefficientsConstPtr | getModelCoefficients () const
| Get a pointer to the model coefficients. More...
void | setCopyAllFields (bool val)
| Set whether all fields should be copied, or only the XYZ. More...
bool | getCopyAllFields () const
| Get whether all fields are being copied (true), or only XYZ (false). More...
void | setCopyAllData (bool val)
| Set whether all data will be returned, or only the projected inliers. More...
bool | getCopyAllData () const
| Get whether all data is being copied (true), or only the projected inliers (false). More...
Public Member Functions inherited from pcl::Filter< pcl::PCLPointCloud2 >
| Filter (bool extract_removed_indices=false)
| Empty constructor. More...
virtual | ~Filter ()
| Empty destructor. More...
IndicesConstPtr const | getRemovedIndices ()
| Get the point indices being removed. More...
void | getRemovedIndices (PointIndices &pi)
| Get the point indices being removed. More...
void | filter (PCLPointCloud2 &output)
| Calls the filtering method and returns the filtered dataset in output. More...
Public Member Functions inherited from pcl::PCLBase< pcl::PCLPointCloud2 >
| PCLBase ()
| Empty constructor. More...
virtual | ~PCLBase ()
| destructor. More...
void | setInputCloud (const PCLPointCloud2ConstPtr &cloud)
| Provide a pointer to the input dataset. More...
PCLPointCloud2ConstPtr const | getInputCloud ()
| Get a pointer to the input point cloud dataset. More...
void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data. More...
IndicesPtr const | getIndices ()
| Get a pointer to the vector of indices used. More...

## Protected Member Functions

void | applyFilter (PCLPointCloud2 &output)
| Abstract filter method. More...
Protected Member Functions inherited from pcl::Filter< pcl::PCLPointCloud2 >
const std::string & | getClassName () const
| Get a string representation of the name of this class. More...
Protected Member Functions inherited from pcl::PCLBase< pcl::PCLPointCloud2 >
bool | initCompute ()
bool | deinitCompute ()

## Protected Attributes

int | model_type_
| The type of model to use (user given parameter). More...
bool | copy_all_data_
| True if all data will be returned, false if only the projected inliers. More...
bool | copy_all_fields_
| True if all fields will be returned, false if only XYZ. More...
ModelCoefficientsConstPtr | model_
| A pointer to the vector of model coefficients. More...
Protected Attributes inherited from pcl::Filter< pcl::PCLPointCloud2 >
IndicesPtr | removed_indices_
| Indices of the points that are removed. More...
bool | extract_removed_indices_
| Set to true if we want to return the indices of the removed points. More...
std::string | filter_name_
| The filter name. More...
Protected Attributes inherited from pcl::PCLBase< pcl::PCLPointCloud2 >
PCLPointCloud2ConstPtr | input_
| The input point cloud dataset. More...
IndicesPtr | indices_
| A pointer to the vector of point indices to use. More...
bool | use_indices_
| Set to true if point indices are used. More...
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud. More...
std::vector< int > | field_sizes_
| The size of each individual field. More...
int | x_idx_
| The x-y-z fields indices. More...
int | y_idx_
int | z_idx_
std::string | x_field_name_
| The desired x-y-z field names. More...
std::string | y_field_name_
std::string | z_field_name_

## Additional Inherited Members

Public Types inherited from pcl::Filter< pcl::PCLPointCloud2 >
typedef boost::shared_ptr< Filter< pcl::PCLPointCloud2 > > | Ptr
typedef boost::shared_ptr< const Filter< pcl::PCLPointCloud2 > > | ConstPtr
typedef pcl::PCLPointCloud2 | PCLPointCloud2
typedef PCLPointCloud2::Ptr | PCLPointCloud2Ptr
typedef PCLPointCloud2::ConstPtr | PCLPointCloud2ConstPtr
Public Types inherited from pcl::PCLBase< pcl::PCLPointCloud2 >
typedef pcl::PCLPointCloud2 | PCLPointCloud2
typedef boost::shared_ptr< PCLPointCloud2 > | PCLPointCloud2Ptr
typedef boost::shared_ptr< PCLPointCloud2 const > | PCLPointCloud2ConstPtr
typedef boost::shared_ptr< PointIndices > | PointIndicesPtr
typedef boost::shared_ptr< PointIndices const > | PointIndicesConstPtr

## Detailed Description

### template<>
class pcl::ProjectInliers< pcl::PCLPointCloud2 >

ProjectInliers uses a model and a set of inlier indices from a PointCloud to project them into a separate PointCloud.

Note
  setFilterFieldName (), setFilterLimits (), and setFilterLimitNegative () are ignored.

Author
  Radu Bogdan Rusu

Definition at line 179 of file project_inliers.h.

## Constructor & Destructor Documentation

pcl::ProjectInliers< pcl::PCLPointCloud2 >::ProjectInliers | ( |  | ) |

inline

Empty constructor.

Definition at line 192 of file project_inliers.h.

References pcl::Filter< PointT >::filter_name_.

virtual pcl::ProjectInliers< pcl::PCLPointCloud2 >::~ProjectInliers | ( |  | ) |

inline virtual

Empty destructor.

Definition at line 198 of file project_inliers.h.

## Member Function Documentation

void pcl::ProjectInliers< pcl::PCLPointCloud2 >::applyFilter | ( | PCLPointCloud2 & | output | ) |

protected virtual

Abstract filter method.

The implementation needs to set output.{data, row_step, point_step, width, height, is_dense}.

Parameters

  [out] | output | the resultant filtered point cloud

Implements pcl::Filter< pcl::PCLPointCloud2 >.

bool pcl::ProjectInliers< pcl::PCLPointCloud2 >::getCopyAllData | ( |  | ) | const

inline

Get whether all data is being copied (true), or only the projected inliers (false).

Definition at line 259 of file project_inliers.h.

bool pcl::ProjectInliers< pcl::PCLPointCloud2 >::getCopyAllFields | ( |  | ) | const

inline

Get whether all fields are being copied (true), or only XYZ (false).

Definition at line 243 of file project_inliers.h.

ModelCoefficientsConstPtr pcl::ProjectInliers< pcl::PCLPointCloud2 >::getModelCoefficients | ( |  | ) | const

inline

Get a pointer to the model coefficients.

Definition at line 227 of file project_inliers.h.

int pcl::ProjectInliers< pcl::PCLPointCloud2 >::getModelType | ( |  | ) | const

inline

Get the type of SAC model used.

Definition at line 211 of file project_inliers.h.

void pcl::ProjectInliers< pcl::PCLPointCloud2 >::setCopyAllData | ( | bool | val | ) |

inline

Set whether all data will be returned, or only the projected inliers.

Parameters

  [in] | val | true if all data should be returned, false if only the projected inliers

Definition at line 252 of file project_inliers.h.

void pcl::ProjectInliers< pcl::PCLPointCloud2 >::setCopyAllFields | ( | bool | val | ) |

inline

Set whether all fields should be copied, or only the XYZ.

Parameters

  [in] | val | true if all fields will be returned, false if only XYZ

Definition at line 236 of file project_inliers.h.

void pcl::ProjectInliers< pcl::PCLPointCloud2 >::setModelCoefficients | ( | const ModelCoefficientsConstPtr & | model | ) |

inline

Provide a pointer to the model coefficients.

Parameters

  [in] | model | a pointer to the model coefficients

Definition at line 220 of file project_inliers.h.

void pcl::ProjectInliers< pcl::PCLPointCloud2 >::setModelType | ( | int | model | ) |

inline

The type of model to use (user given parameter).

Parameters

  [in] | model | the model type (check model_types.h)

Definition at line 204 of file project_inliers.h.

## Member Data Documentation

bool pcl::ProjectInliers< pcl::PCLPointCloud2 >::copy_all_data_

protected

True if all data will be returned, false if only the projected inliers.

Default: false.

Definition at line 268 of file project_inliers.h.

bool pcl::ProjectInliers< pcl::PCLPointCloud2 >::copy_all_fields_

protected

True if all fields will be returned, false if only XYZ.

Default: true.

Definition at line 271 of file project_inliers.h.

ModelCoefficientsConstPtr pcl::ProjectInliers< pcl::PCLPointCloud2 >::model_

protected

A pointer to the vector of model coefficients.

Definition at line 274 of file project_inliers.h.

int pcl::ProjectInliers< pcl::PCLPointCloud2 >::model_type_

protected

The type of model to use (user given parameter).

Definition at line 265 of file project_inliers.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/filters/include/pcl/filters/project_inliers.h